CREATE TABLE `chat_msg` (
`_id` INTEGER PRIMARY KEY AUTOINCREMENT,
`message_id` TEXT NOT NULL,
`order_no` INTEGER NOT NULL,
`message_type` TEXT ,
`text_message` TEXT,
`media_url` TEXT,
`read_count` INTEGER NOT NULL DEFAULT 0,
`member_count` INTEGER NOT NULL DEFAULT 0,
`created_at` INTEGER ,
`updated_at` INTEGER ,
`width` INTEGER ,
`height` INTEGER ,
`sender_id` TEXT,
`room_id` TEXT,
`user_id` TEXT,
`group_value` INTEGER,
UNIQUE(`message_id`)
);

CREATE UNIQUE INDEX message_id ON chat_msg (message_id);

CREATE INDEX order_no ON chat_msg (order_no DESC,room_id,user_id);

CREATE INDEX created_at ON chat_msg (created_at DESC,room_id,user_id);

CREATE INDEX room_id ON chat_msg (room_id,user_id);

CREATE INDEX group_value ON chat_msg (group_value DESC,room_id,user_id);

CREATE TABLE `chat_sender` (
`_id` INTEGER PRIMARY KEY AUTOINCREMENT,
`user_id` TEXT NOT NULL,
`room_id` TEXT NOT NULL,
`nickname` TEXT,
`face` TEXT,
`cellphone` TEXT,
`birthday` TEXT,
`description` TEXT,
`me2day_id` TEXT,
`facebook_user_id` TEXT,
`line_user_id` TEXT,
`is_open_birthday` INTEGER NOT NULL DEFAULT 0,
`is_open_me2day` INTEGER NOT NULL DEFAULT 0,
`is_open_cellphone` INTEGER NOT NULL DEFAULT 0,
`m2_birthday` TEXT,
`thumbnail` TEXT,
`is_lunar` INTEGER NOT NULL DEFAULT 0,
`name` TEXT,
`m2_cellphone` TEXT,
`realname` TEXT
);

CREATE UNIQUE INDEX sender_id ON chat_sender (user_id,room_id);


CREATE TABLE `chat_media` (
`_id` INTEGER PRIMARY KEY AUTOINCREMENT,
`message_id` TEXT NOT NULL,
`type` TEXT NOT NULL,
`thumbnail` TEXT,
`originUrl` TEXT,
`provider` TEXT,
`photoId` TEXT,
`photoNo` INTEGER ,
`photoUrl` TEXT,
`width` INTEGER ,
`height` INTEGER ,
`deleted` INTEGER NOT NULL DEFAULT 0,
`size` INTEGER 
);

CREATE INDEX message_id_media ON chat_media (message_id);

CREATE TABLE `chat_spot` (
`_id` INTEGER PRIMARY KEY AUTOINCREMENT,
`message_id` TEXT NOT NULL,
`id` TEXT NOT NULL,
`name` TEXT,
`description` TEXT,
`latitude` NUMERIC NOT NULL DEFAULT 0,
`longitude` NUMERIC NOT NULL DEFAULT 0
);

CREATE INDEX message_id_spot ON chat_spot (message_id);
