@existMessageId
SELECT _id FROM chat_msg WHERE message_id=#value#

@selectMessageOneByMessageId
SELECT 
	message_id,
	order_no,
	message_type,
	text_message,
	media_url,
	read_count,
	member_count,
	created_at AS created_at_long,
	updated_at AS updated_at_long,
	width,
	height,
	sender_id,
	room_id,
	user_id,
	group_value,
	(SELECT COUNT(1) FROM chat_media WHERE message_id=chat_msg.message_id) AS media_count 
FROM chat_msg 
WHERE message_id=#value#

@selectRecentMessage
SELECT 
	message_id,
	order_no,
	message_type,
	text_message,
	media_url,
	read_count,
	member_count,
	created_at AS created_at_long,
	updated_at AS updated_at_long,
	width,
	height,
	sender_id,
	room_id,
	user_id,
	group_value,
	(SELECT COUNT(1) FROM chat_media WHERE message_id=chat_msg.message_id) AS media_count  
FROM chat_msg 
WHERE room_id=#roomId# AND user_id=#userId# 
ORDER BY order_no DESC 
LIMIT #limit#

@selectRecentMessageBeforeOrder
SELECT 
	message_id,
	order_no,
	message_type,
	text_message,
	media_url,
	read_count,
	member_count,
	created_at AS created_at_long,
	updated_at AS updated_at_long,
	width,
	height,
	sender_id,
	room_id,
	user_id,
	group_value ,
	(SELECT COUNT(1) FROM chat_media WHERE message_id=chat_msg.message_id) AS media_count 
FROM chat_msg 
WHERE order_no < #orderNo# AND room_id=#roomId# AND user_id=#userId# 
ORDER BY order_no DESC 
LIMIT #limit#

@selectSenderBySenderId
SELECT
	user_id AS id,
	room_id,
	nickname,
	face,
	cellphone,
	birthday,
	description,
	me2day_id,
	facebook_user_id,
	line_user_id,
	is_open_birthday,
	is_open_me2day,
	is_open_cellphone,
	m2_birthday,
	thumbnail,
	is_lunar,
	name,
	m2_cellphone,
	realname
FROM chat_sender
WHERE user_id=#id# AND room_id=#roomId#

@selectMediaByMessageId
SELECT
	message_id,
	type,
	thumbnail,
	originUrl,
	provider,
	photoId,
	photoNo,
	photoUrl,
	width,
	height,
	deleted,
	size
FROM chat_media
WHERE message_id=#value#